variable "as400_proxy_payara_version" {
  default = "5.2022.5"
}

variable "as400_proxy_image_name" {
  default = "as4p-payara-micro"
}

variable "as400_proxy_container_name" {
  default = "as400-proxy"
}

variable "as400_proxy_network_mode" {
  default = "none"
}

variable "as400_proxy_http_external_port" {
  default = "9996"
}

variable "as400_proxy_tmp_dir" {
  default = "/tmp"
}

variable "as400_proxy_etc_volume" {
  default = "/tmp"
}

variable "as400_proxy_var_volume" {
  default = "/tmp"
}

variable "as400_proxy_deployments_volume" {
  default = "/tmp"
}

variable "as400_proxy_server" {
  default = "xxx"
}

variable "as400_proxy_user" {
  default = "xxx"
}

variable "as400_proxy_password" {
  default = "xxx"
}

variable "as400_proxy_token_duration" {
  default = "30"
}

variable "as400_proxy_secret" {
  default = "xxx"
}

variable "as400_proxy_ssl_connection" {
  default = "false"
}

variable "as400_proxy_ssl_self_signed_allowed" {
  default = "false"
}
variable "ssl_certs_folder_path" {
  default = "/opt/payara/etc/as400-proxy/security/certs/"
}
variable "ssl_trustore_filepath" {
  default = "/opt/payara/etc/as400-proxy/security/customTrustStore.jks"
}
# ---------------------------------------------

variable "as400_proxy_asadmin_Xms" {
  default = "1g"
}

variable "as400_proxy_asadmin_Xmx" {
  default = "2g"
}

variable "as400_proxy_asadmin_httpThreadPoolMinThreadPoolSize" {
  default = "25"
}

variable "as400_proxy_asadmin_httpThreadPoolMaxThreadPoolSize" {
  default = "50"
}
